/*
 * Slider.cpp
 *
 */

#include <iostream>
#include "Slider.h"

Slider::Slider(Timer* t) : subj(t), milli(0) {
	subj->subscribe(this);
}

Slider::~Slider() {
	subj->unsubscribe(this);
}

void Slider::update(long milliseconds) {
	milli = milliseconds;
	displaySlider();
}

void Slider::displaySlider() {
	std::cout << "Slider: " << milli << std::endl;
}
