/*
 * Timer.h
 *
 */

#ifndef TIMER_H_
#define TIMER_H_

#include <list>
#include "Subject.h"

class Timer: public Subject {
public:
	Timer();
	virtual ~Timer();

	virtual void subscribe(Observer* o);
	virtual void unsubscribe(Observer* o);
	virtual void notify();

	void tick();

private:
	long milliseconds;

	std::list<Observer*> observers;
};

#endif /* TIMER_H_ */
