/*
 * FrameRenderer.cpp
 *
 */

#include <iostream>
#include "FrameRenderer.h"

FrameRenderer::FrameRenderer(Timer* t) {
	t->subscribe(this);
}

FrameRenderer::~FrameRenderer() {
}

void FrameRenderer::displayFrame() {
	std::cout << "Display decompressed frame" << std::endl;
}

void FrameRenderer::update(long milliseconds) {
	if ((milliseconds % 40) == 0) {
		displayFrame();
	}
}
