/*
 * Slider.h
 *
 */

#ifndef SLIDER_H_
#define SLIDER_H_

#include "Timer.h"
#include "Observer.h"

class Slider: public Observer {
public:
	Slider(Timer* t);
	virtual ~Slider();

	virtual void update(long milliseconds);

	void displaySlider();

private:
	Timer* subj;
	long milli;
};

#endif /* SLIDER_H_ */
